Index: ChangeLog
===================================================================
RCS file: /cvs/OpenBSD/xenocara/driver/xf86-video-ati/ChangeLog,v
retrieving revision 1.13
diff -u -p -u -r1.13 ChangeLog
--- ChangeLog	2 Apr 2016 07:37:34 -0000	1.13
+++ ChangeLog	5 Nov 2016 09:07:00 -0000
@@ -17666,7 +18418,7 @@ Date:   Sun Feb 24 05:37:22 2008 -0500
     
     Conflicts:
     
-    	src/radeon_commonfuncs.c
+            src/radeon_commonfuncs.c
 
 commit 27ddb39b12a0b54e099fd5274c4c91f08e2d2822
 Author: Alex Deucher <alex@samba.(none)>
@@ -18762,8 +19514,8 @@ Date:   Fri Dec 21 09:36:22 2007 +1000
     
     Conflicts:
     
-    	src/radeon_display.c
-    	src/radeon_driver.c
+            src/radeon_display.c
+            src/radeon_driver.c
 
 commit eb99c3c5c9a2249cb84920f0f225e525fc3a4144
 Author: Alex Deucher <alex@botch2.(none)>
@@ -19143,10 +19895,10 @@ Date:   Mon Dec 10 15:18:03 2007 +1000
     
     Conflicts:
     
-    	src/radeon.h
-    	src/radeon_crtc.c
-    	src/radeon_driver.c
-    	src/radeon_output.c
+            src/radeon.h
+            src/radeon_crtc.c
+            src/radeon_driver.c
+            src/radeon_output.c
 
 commit 6451ea2dcc4fac762442f699935864f4a8d445f7
 Merge: 0d89556 5896ca4
@@ -19217,7 +19969,7 @@ Date:   Thu Dec 6 14:22:03 2007 +1000
     
     Conflicts:
     
-    	src/radeon_output.c
+            src/radeon_output.c
 
 commit 21ed435398e4a398dd8a0a5d7c1d4cc45e916332
 Author: Alex Deucher <alex@t41p.hsd1.va.comcast.net>
@@ -19724,9 +20476,9 @@ Date:   Tue Nov 20 13:02:43 2007 +1000
     
     Conflicts:
     
-    	src/radeon_chipset.h
-    	src/radeon_driver.c
-    	src/radeon_probe.c
+            src/radeon_chipset.h
+            src/radeon_driver.c
+            src/radeon_probe.c
 
 commit 0d1e0c7805b3d8e56ccb49465e6b144afb7bdc51
 Author: Dave Airlie <airlied@redhat.com>
@@ -19749,8 +20501,8 @@ Date:   Tue Nov 20 08:04:32 2007 +1000
     
     Conflicts:
     
-    	src/radeon_cursor.c
-    	src/radeon_output.c
+            src/radeon_cursor.c
+            src/radeon_output.c
 
 commit 744c8cb6c293fcaa687566f52901644e699baace
 Merge: e258fbe e530af7
@@ -20961,7 +21713,7 @@ Date:   Tue Aug 28 16:01:12 2007 +0300
     
     Conflicts:
     
-    	src/ati.c
+            src/ati.c
 
 commit 673f799729824f4439dd5f681f75dd5aab50947f
 Author: Alex Deucher <alex@botch2.(none)>
@@ -21232,14 +21984,14 @@ Date:   Thu Aug 23 19:42:19 2007 +1000
     
     Conflicts:
     
-    	src/radeon.h
-    	src/radeon_bios.c
-    	src/radeon_display.c
-    	src/radeon_dri.c
-    	src/radeon_driver.c
-    	src/radeon_modes.c
-    	src/radeon_probe.h
-    	src/radeon_video.c
+            src/radeon.h
+            src/radeon_bios.c
+            src/radeon_display.c
+            src/radeon_dri.c
+            src/radeon_driver.c
+            src/radeon_modes.c
+            src/radeon_probe.h
+            src/radeon_video.c
 
 commit 53a67e31904bec9a3aa1bd24de8034dcafea1d2a
 Author: Alex Deucher <alex@t41p.hsd1.va.comcast.net>
@@ -22105,9 +22857,9 @@ Date:   Wed May 30 17:27:22 2007 +1000
     
     Conflicts:
     
-    	src/radeon_cursor.c
-    	src/radeon_display.c
-    	src/radeon_driver.c
+            src/radeon_cursor.c
+            src/radeon_display.c
+            src/radeon_driver.c
 
 commit 800bf53279e2c2bf854682bbfd6fa16d03afed00
 Author: Matthieu Herrb <matthieu@deville.herrb.com>
@@ -23093,8 +23845,8 @@ Date:   Sun Feb 25 23:27:19 2007 +1100
     
     Conflicts:
     
-    	src/radeon_display.c
-    	src/radeon_driver.c
+            src/radeon_display.c
+            src/radeon_driver.c
 
 commit 3b43788c45f51ad2d3e8e64383c412f4ddd97207
 Author: Dave Airlie <airlied@linux.ie>
@@ -24604,7 +25356,7 @@ Date:   Fri Sep 22 06:00:04 2006 +1000
     
     Conflicts:
     
-    	src/radeon_driver.c
+            src/radeon_driver.c
 
 commit 9fa176c7989030e7340cc9b85d0b6a7b34303091
 Author: Alex Deucher <alex@samba.(none)>
Index: config.h.in
===================================================================
RCS file: /cvs/OpenBSD/xenocara/driver/xf86-video-ati/config.h.in,v
retrieving revision 1.12
diff -u -p -u -r1.12 config.h.in
--- config.h.in	2 Apr 2016 07:37:34 -0000	1.12
+++ config.h.in	5 Nov 2016 09:07:30 -0000
@@ -14,6 +14,9 @@
 /* Have fbGlyphs API */
 #undef HAVE_FBGLYPHS
 
+/* Have glamor_egl_destroy_textured_pixmap API */
+#undef HAVE_GLAMOR_EGL_DESTROY_TEXTURED_PIXMAP
+
 /* Have glamor_glyphs_init API */
 #undef HAVE_GLAMOR_GLYPHS_INIT
 
@@ -58,6 +61,9 @@
 
 /* xextproto 7.1 available */
 #undef HAVE_XEXTPROTO_71
+
+/* Have xf86CursorResetCursor API */
+#undef HAVE_XF86_CURSOR_RESET_CURSOR
 
 /* Have xorg_list API */
 #undef HAVE_XORG_LIST
Index: configure.ac
===================================================================
RCS file: /cvs/OpenBSD/xenocara/driver/xf86-video-ati/configure.ac,v
retrieving revision 1.13
diff -u -p -u -r1.13 configure.ac
--- configure.ac	2 Apr 2016 07:37:34 -0000	1.13
+++ configure.ac	5 Nov 2016 09:07:00 -0000
@@ -23,7 +23,7 @@
 # Initialize Autoconf
 AC_PREREQ([2.60])
 AC_INIT([xf86-video-ati],
-        [7.6.1],
+        [7.7.1],
         [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg],
         [xf86-video-ati])
 
@@ -75,7 +75,7 @@ PKG_CHECK_MODULES(LIBDRM, [libdrm >= 2.4
 PKG_CHECK_MODULES(LIBDRM_RADEON, [libdrm_radeon])
 
 # Obtain compiler/linker options for the driver dependencies
-PKG_CHECK_MODULES(XORG, [xorg-server >= 1.8 xproto fontsproto xf86driproto $REQUIRED_MODULES])
+PKG_CHECK_MODULES(XORG, [xorg-server >= 1.9 xproto fontsproto xf86driproto $REQUIRED_MODULES])
 PKG_CHECK_MODULES(XEXT, [xextproto >= 7.0.99.1],
                   HAVE_XEXTPROTO_71="yes"; AC_DEFINE(HAVE_XEXTPROTO_71, 1, [xextproto 7.1 available]),
                   HAVE_XEXTPROTO_71="no")
@@ -119,6 +119,12 @@ if test "x$GLAMOR" != "xno"; then
 					 [Have glamor_glyphs_init API])], [],
 			      [#include "xorg-server.h"
 			       #include "glamor.h"])
+
+		AC_CHECK_DECL(glamor_egl_destroy_textured_pixmap,
+			      [AC_DEFINE(HAVE_GLAMOR_EGL_DESTROY_TEXTURED_PIXMAP, 1,
+					 [Have glamor_egl_destroy_textured_pixmap API])], [],
+			      [#include "xorg-server.h"
+			       #include "glamor.h"])
 	fi
 
 	if test "x$GLAMOR_XSERVER" != xyes; then
@@ -140,6 +146,12 @@ AC_CHECK_DECL(fbGlyphs,
 	       #include <picture.h>
 	       #include <glyphstr.h>
 	       #include <fbpict.h>])
+
+AC_CHECK_DECL(xf86CursorResetCursor,
+	      [AC_DEFINE(HAVE_XF86_CURSOR_RESET_CURSOR, 1,
+	      [Have xf86CursorResetCursor API])], [],
+	      [#include <xorg-server.h>
+	       #include <xf86Cursor.h>])
 
 AC_CHECK_DECL(xorg_list_init,
 	      [AC_DEFINE(HAVE_XORG_LIST, 1, [Have xorg_list API])], [],
Index: man/radeon.man
===================================================================
RCS file: /cvs/OpenBSD/xenocara/driver/xf86-video-ati/man/radeon.man,v
retrieving revision 1.13
diff -u -p -u -r1.13 radeon.man
--- man/radeon.man	2 Apr 2016 07:37:34 -0000	1.13
+++ man/radeon.man	5 Nov 2016 09:07:00 -0000
@@ -279,9 +279,10 @@ Pageflipping is supported on all radeon 
 .TP
 .BI "Option \*qTearFree\*q \*q" boolean \*q
 Enable tearing prevention using the hardware page flipping mechanism. This
-option currently doesn't have any effect for rotated CRTCs. It requires
-allocating two separate scanout buffers for each non-rotated CRTC. Enabling
-this option currently disables Option \*qEnablePageFlip\*q. The default is
+option currently doesn't have any effect for CRTCs using transforms other than
+rotation or reflection. It requires allocating two separate scanout buffers for
+each supported CRTC. Enabling this option currently disables Option
+\*qEnablePageFlip\*q. The default is
 .B off.
 .TP
 .BI "Option \*qAccelMethod\*q \*q" "string" \*q
